/*######################################################################*/
//  Copyright(C) 2003-2004 ADCLab.      www.adclab.ru
//  Written by Andry Zharov.            adc@ru.ru, adc@adclab.ru
//  08.03.2004
/*######################################################################*/
#ifndef __BULKIOCTL_H__
#define __BULKIOCTL_H__
/*######################################################################*/
// IOCTL codes can start at 0x800
#define IOCTL_GET_CONFIG        \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x800, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_SEND_COMMAND      \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x801, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_RESET_PIPE_READ   \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x802, METHOD_NEITHER,  FILE_ANY_ACCESS)
#define IOCTL_RESET_PIPE_WRITE  \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x803, METHOD_NEITHER,  FILE_ANY_ACCESS)
#define IOCTL_BULK_WRITE        \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x804, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_RESET_PIPES       \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x805, METHOD_NEITHER,  FILE_ANY_ACCESS)
#define IOCTL_SET_TOUT          \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x806, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_SEND_COMMANDA     \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x807, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_ABORT_PIPE_READ   \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x808, METHOD_NEITHER,  FILE_ANY_ACCESS)
#define IOCTL_ABORT_PIPE_WRITE  \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x809, METHOD_NEITHER,  FILE_ANY_ACCESS)
#define IOCTL_INT_WRITE         \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x80A, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_RESET_PIPE_INT    \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x80B, METHOD_NEITHER,  FILE_ANY_ACCESS)
#define IOCTL_ABORT_PIPE_INT    \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x80C, METHOD_NEITHER,  FILE_ANY_ACCESS)
#define IOCTL_CLEAR_PIPE_READ   \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x80D, METHOD_NEITHER,  FILE_ANY_ACCESS)
#define IOCTL_CLEAR_PIPE_WRITE  \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x80E, METHOD_NEITHER,  FILE_ANY_ACCESS)
#define IOCTL_CLEAR_PIPE_INT    \
    CTL_CODE(FILE_DEVICE_UNKNOWN, 0x80F, METHOD_NEITHER,  FILE_ANY_ACCESS)
/*######################################################################*/
#pragma pack(1)
struct  MyRequest
{
    unsigned short      Request; 
    union
    {
        struct
        {
        unsigned short  Value;
        unsigned short  Index;
        };
        char            str [4];
        unsigned char   ustr[4];
    };
    unsigned            tOut;

    MyRequest()
    {
        tOut = 0;
    }
};
#pragma pack()
/*----------------------------------------------------------------------*/
#define USBDRV_SUCCESS                       1
#define USBDRV_ERR_INVALIDNAME              -1
#define USBDRV_ERR_NOTOPEN                  -2
#define USBDRV_ERR_TIMEOUT                  -3
#define USBDRV_ERR_EXCEPTION                -4
#define USBDRV_ERR_INVALIDPARAM             -5
#define USBDRV_ERR_DEVICE_NOT_CONNECTED     -6
#define USBDRV_ERR_WRITE                    -7
#define USBDRV_ERR_READ                     -8
/*######################################################################*/
#endif

