#ifndef __ILPT_H__
#define __ILPT_H__

//////////////////////////////////////////////////////////////////////////
// Revision : 31-09-2002
//////////////////////////////////////////////////////////////////////////

#pragma pack(1)
/*######################################################################*/
/* LOWORD is major version, HIWORD is minor version                     */
/*                          minor|major                                 */ 
#define MAJOR_ILPT_VERSION      0x0004  // essential change
#define MINOR_ILPT_VERSION      0x0001  // not essential change
#define CURRENT_ILPT_VERSION    (MAJOR_ILPT_VERSION|(MINOR_ILPT_VERSION<<16))
/*######################################################################*/
struct  ILPT
{
    virtual unsigned __stdcall  AddRef() = 0;
    virtual unsigned __stdcall  Release() = 0;
    virtual int      __stdcall  GetVersion() = 0;
    virtual int      __stdcall  Init(int mode = 0) = 0;

    virtual int      __stdcall  Out(int port, int data) = 0;
    virtual int      __stdcall  In( int port) = 0;
    virtual int      __stdcall  OutS(int port, unsigned char* adr, int cnt) = 0;
    virtual int      __stdcall  InS( int port, unsigned char* adr, int cnt) = 0;
};
/*######################################################################*/
#pragma pack()

#endif
