#pragma once
/*######################################################################*/
#define C_PI    3.1415926535897932384626433832
#define S45     0.7071067811865475244008443621      // sin(Pi / 4)
#define SQR2    0.7071067811865475244008443621      // 1.0 / sqrt(2.0)
/*######################################################################*/
#define real    double
#define reall   double

void   __stdcall    InitSinCosTable(real* sc, int dim, int sign);
void   __stdcall    CFFT1(real* arr, int dim, int sign, real* sc = 0);
void   __stdcall    RFFT1(real* arr, int dim, int sign, real* sc = 0);
void   __stdcall    FFTWindow(real* wnd, int n, int window, double& mean, double& sum);
/*######################################################################*/
