#ifndef __STDMACRO_H__
#define __STDMACRO_H__
/*######################################################################*/
#ifndef DIM
#define DIM(a)      (sizeof(a)/sizeof(a[0]))
#endif
/*======================================================================*/
#ifdef  MDEBUG

#include    <windows.h>
#include    <stdio.h>
#include    <stdarg.h>

#ifdef  MyTRACETimer
#include    "MyTimer.h"
extern      MyTimer MyTRACETimerObj;
#endif
/*----------------------------------------------------------------------*/
__inline 
void __cdecl   MyTRACE(char* str, const char* frm, ...)
{
    va_list marker;
    va_start(marker, frm);
    char buff[256]; char format[256];
#ifndef MyTRACETimer
    sprintf(format, "%s : %30s\n", str, frm);
#else
    double d = MyTRACETimerObj.GetTime() / 1e9;
    sprintf(format, "%s , Time = %.3fsec : %30s\n", str, d, frm);
#endif
    vsprintf(buff, format, marker);
    va_end(marker);
    OutputDebugString(buff);
}

__inline 
void __cdecl   MyTRACE(const char* str, const char* frm, ...)
{
    va_list marker;
    va_start(marker, frm);
    char buff[256]; char format[256];
#ifndef MyTRACETimer
    sprintf(format, "%s : %30s\n", str, frm);
#else
    double d = MyTRACETimerObj.GetTime() / 1e9;
    sprintf(format, "%s , Time = %.3fsec : %30s\n", str, d, frm);
#endif
    vsprintf(buff, format, marker);
    va_end(marker);
    OutputDebugString(buff);
}

#define     DBG(s)      OutputDebugString(s##"\n")
#define     DBGS(s)     OutputDebugString(s)
#define     DBGF        MyTRACE

#else

#define     DBG(s)
#define     DBGS(s)
#define     DBGF

#endif
/*######################################################################*/
#endif
