#ifndef     __WAV_H__
#define     __WAV_H__
#include    <memory.h>
/*######################################################################*/
#pragma pack(1)
struct  WAV
{
    char        RIFF[4];
    unsigned    FileSize;
    char        WAVEfmt[8];
    unsigned    Unknown10;
    short       Unknown1;
    short       Chanels;
    unsigned    Frequency;
    unsigned    BytesPerSecond;
    short       BytesPerSample;
    short       SampleSize;
    char        data[4];
    unsigned    DataSize;
/*----------------------------------------------------------------------*/
void    Set(unsigned size, unsigned freq=0, short ch=1, short bps=1)
{
    Chanels = ch; 
    BytesPerSample = short(bps*ch);
    SampleSize = short(bps<<3);
    Frequency = freq; 
    BytesPerSecond = freq*BytesPerSample;
    DataSize = size*BytesPerSample;
    FileSize = DataSize+sizeof(WAV)-sizeof(RIFF)-sizeof(FileSize);
}
/*----------------------------------------------------------------------*/
WAV()
{
    memcpy(RIFF,    "RIFF",     sizeof(RIFF));
    memcpy(WAVEfmt, "WAVEfmt ", sizeof(WAVEfmt));
    memcpy(data,    "data",     sizeof(data));
    Unknown10 = 0x00000010; Unknown1 = 0x0001;

    DataSize = FileSize = Frequency = BytesPerSecond = 0;
    Chanels = BytesPerSample = 1; SampleSize = 8;
}
};
#pragma pack()
/*######################################################################*/
#endif
